﻿
(function () {
    "use strict";

    jQuery(function () {

        //Get SPHostUrl
        var args = window.location.search.substring(1).split("&");
        var spHostUrl = "";
        for (var i = 0; i < args.length; i++) {
            var n = args[i].split("=");
            if (n[0] == "SPHostUrl")
                spHostUrl = decodeURIComponent(n[1]);
        }

        //Get AppWebUrl
        var appWebUrl = "";
        for (var i = 0; i < args.length; i++) {
            var n = args[i].split("=");
            if (n[0] == "SPAppWebUrl")
                appWebUrl = decodeURIComponent(n[1]);
        }

        //Call Host Web with REST
        var executor = new SP.RequestExecutor(appWebUrl);
        executor.executeAsync({
            url: "../_api/SP.AppContextSite(@target)/web/title?@target='" + spHostUrl + "'",
            method: "GET",
            headers: { "accept": "application/json;odata=verbose" },
            success: function (data) {
                jQuery("#message").text(JSON.parse(data.body).d.Title);
            },
            error: function () {
                jQuery("#message").text("Error!");
            }
        });
    });

}());