﻿<%@ Page Inherits="Microsoft.SharePoint.WebPartPages.WebPartPage, Microsoft.SharePoint, Version=15.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" MasterPageFile="~masterurl/default.master" Language="C#" %>

<%@ Register TagPrefix="Utilities" Namespace="Microsoft.SharePoint.Utilities" Assembly="Microsoft.SharePoint, Version=15.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register TagPrefix="WebPartPages" Namespace="Microsoft.SharePoint.WebPartPages" Assembly="Microsoft.SharePoint, Version=15.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register TagPrefix="SharePoint" Namespace="Microsoft.SharePoint.WebControls" Assembly="Microsoft.SharePoint, Version=15.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>

<asp:Content ContentPlaceHolderID="PlaceHolderAdditionalPageHead" runat="server">
    <meta http-equiv="X-UA-Compatible" content="IE=10" />
    <link rel="Stylesheet" type="text/css" href="../Content/App.css" />
    <script type="text/javascript" src="/_layouts/15/sp.runtime.js"></script>
    <script type="text/javascript" src="/_layouts/15/sp.js"></script>
    <script type="text/javascript" src="../Scripts/jquery-1.7.1.min.js"></script>
    <script type="text/javascript" src="../Scripts/knockout-2.1.0.js"></script>
    <script type="text/javascript" src="../Scripts/wingtip.jsom.lists.js"></script>
    <script type="text/javascript" src="../Scripts/wingtip.rest.lists.js"></script>
    <script type="text/javascript" src="../Scripts/wingtip.jsom.listitems.js"></script>
    <script type="text/javascript" src="../Scripts/wingtip.rest.listitems.js"></script>
    <script type="text/javascript" src="../Scripts/wingtip.jsom.fields.js"></script>
    <script type="text/javascript" src="../Scripts/wingtip.rest.fields.js"></script>
    <script type="text/javascript" src="../Scripts/wingtip.viewmodel.listitems.js"></script>
    <script type="text/javascript" src="../Scripts/App.js"></script>

</asp:Content>

<asp:Content ContentPlaceHolderID="PlaceHolderMain" runat="server">
    <div id="loadingDiv">Building lists. This shouldn't take long...</div>
    <div id="mainDiv" style="width:100%">
        <div style="width:100%">
            <input id="inputText" type="text" autofocus placeholder="Text" />
            <input type="button" id="newItemButton" value="Add Item" class="app-button"/>
            <input type="button" id="newFieldButton" value="Add Field" class="app-button"/>
            <input type="button" id="newDisplayNameButton" value="Change Title Field" class="app-button"/>
            <input type="button" id="newSiteColumnButton" value="Add Site Column" class="app-button"/>
            <input type="button" id="newSiteContentType" value="Add Site Content Type" class="app-button"/>
            <input type="button" id="deleteListsButton" value="Delete Both Lists" class="app-button"/>
        </div>
        <div style="float:left;width:50%">
                <table id="restTable" style="width:200px;">
                    <caption>REST List</caption>
                    <thead>
                        <tr>
                            <th><span data-bind="text: get_titleDisplayName()">[Title]</span></th>
                        </tr>
                    </thead>
                    <tbody data-bind="foreach: get_items()">
                        <tr>
                            <td data-bind="text: get_title()"></td>
                        </tr>
                    </tbody>
                </table>
        </div>
        <div style="float:right;width:50%">
                <table id="jsomTable" style="width:200px;">
                    <caption>JSOM List</caption>
                    <thead>
                        <tr>
                            <th><span data-bind="text: get_titleDisplayName()">[Title]</span></th>
                        </tr>
                    </thead>
                    <tbody data-bind="foreach: get_items()">
                        <tr>
                            <td data-bind="text: get_title()"></td>
                        </tr>
                    </tbody>
                </table>
        </div>
    </div>

</asp:Content>
