﻿$(document).ready(function () {
    (function () {
        $.ajax(
            {
                url: _spPageContextInfo.webAbsoluteUrl +
                    "/_api/search/query?querytext='Title:SharePoint'" +
                    "&selectproperties='Title,Path'",
                method: "GET",
                headers: { accept: "application/json;odata=verbose" },
                success: function (data) {
                    var results = data.d.query.PrimaryQueryResult.RelevantResults.Table.Rows.results
                    var count = results.length;
                    alert("Found " + count + " results. Showing first 5.");
                    for (var r = 0; r < 5; r++) {
                        alert(results[r].Cells.results[2].Value);
                    }
                },
                error: function (err) {
                    alert(JSON.stringify(err));
                }
            }
        );
    })();
});

