﻿var results;

$(document).ready(function () {
    var context = SP.ClientContext.get_current();
    var keywordQuery = new Microsoft.SharePoint.Client.Search.Query.KeywordQuery(context);
    keywordQuery.set_queryText("ContentClass=STS_ListItem_Events");
    var searchExecutor = new Microsoft.SharePoint.Client.Search.Query.SearchExecutor(context);
    results = searchExecutor.executeQuery(keywordQuery);
    context.executeQueryAsync(onGetEventsSuccess, onGetEventsFail);
});

function onGetEventsSuccess() {
    var relevantResults = results.m_value.ResultTables[0];
    $('#message').text(relevantResults.RowCount + " events were found in farm calendars.");
}

function onGetEventsFail(sender, args) {
    alert('Failed. Error:' + args.get_message());
}
