﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Microsoft.SharePoint.Client;
using Microsoft.SharePoint.Client.Search.Query;

namespace WindowsEmployeeDirectory
{
    public partial class Form1 : System.Windows.Forms.Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void A_Click(object sender, EventArgs e)
        {
            FindEmployees("A");
        }

        private void B_Click(object sender, EventArgs e)
        {
            FindEmployees("B");
        }

        private void C_Click(object sender, EventArgs e)
        {
            FindEmployees("C");
        }

        private void D_Click(object sender, EventArgs e)
        {
            FindEmployees("D");
        }

        private void E_Click(object sender, EventArgs e)
        {
            FindEmployees("E");
        }

        private void F_Click(object sender, EventArgs e)
        {
            FindEmployees("F");
        }

        private void G_Click(object sender, EventArgs e)
        {
            FindEmployees("G");
        }

        private void H_Click(object sender, EventArgs e)
        {
            FindEmployees("H");
        }

        private void I_Click(object sender, EventArgs e)
        {
            FindEmployees("I");
        }

        private void J_Click(object sender, EventArgs e)
        {
            FindEmployees("J");
        }

        private void K_Click(object sender, EventArgs e)
        {
            FindEmployees("K");
        }

        private void L_Click(object sender, EventArgs e)
        {
            FindEmployees("L");
        }

        private void M_Click(object sender, EventArgs e)
        {
            FindEmployees("M");
        }

        private void N_Click(object sender, EventArgs e)
        {
            FindEmployees("N");
        }

        private void O_Click(object sender, EventArgs e)
        {
            FindEmployees("O");
        }

        private void P_Click(object sender, EventArgs e)
        {
            FindEmployees("P");
        }

        private void Q_Click(object sender, EventArgs e)
        {
            FindEmployees("Q");
        }

        private void R_Click(object sender, EventArgs e)
        {
            FindEmployees("R");
        }

        private void S_Click(object sender, EventArgs e)
        {
            FindEmployees("S");
        }

        private void T_Click(object sender, EventArgs e)
        {
            FindEmployees("T");
        }

        private void U_Click(object sender, EventArgs e)
        {
            FindEmployees("U");
        }

        private void V_Click(object sender, EventArgs e)
        {
            FindEmployees("V");
        }

        private void W_Click(object sender, EventArgs e)
        {
            FindEmployees("W");
        }

        private void X_Click(object sender, EventArgs e)
        {
            FindEmployees("X");
        }

        private void Y_Click(object sender, EventArgs e)
        {
            FindEmployees("Y");
        }

        private void Z_Click(object sender, EventArgs e)
        {
            FindEmployees("Z");
        }

        private void FindEmployees(string queryText)
        {
            try
            {
                resultsList.Items.Clear();
                searchStatistics.Text = string.Empty;

                ClientContext cctx = new ClientContext("http://intranet.wingtip.com");

                KeywordQuery query = new KeywordQuery(cctx);
                query.QueryText = "Lastname:" + queryText + "*";
                query.SourceId = new Guid("B09A7990-05EA-4AF9-81EF-EDFAB16C4E31");
                query.SelectProperties.Add("LastName");
                query.SelectProperties.Add("FirstName");
                query.SelectProperties.Add("WorkEmail");
                query.SelectProperties.Add("WorkPhone");
                query.SortList.Add("LastName", SortDirection.Ascending);
                query.RowLimit = 100;
                query.RowsPerPage = 100;
                query.ShowPeopleNameSuggestions = true;
                query.EnableStemming = false;
                query.EnableSorting = true;
                query.EnableQueryRules = true;
                query.EnablePhonetic = true;
                query.EnableNicknames = true;
                query.EnableInterleaving = true;
                query.TrimDuplicates = true;
                query.BypassResultTypes = true;

                SearchExecutor executor = new SearchExecutor(cctx);
                ClientResult<ResultTableCollection> results = executor.ExecuteQuery(query);
                
                cctx.ExecuteQuery();

                ResultTable result = results.Value[0];

                searchStatistics.Text = "Results: " + result.RowCount.ToString();              

                foreach (var r in result.ResultRows)
                {
                    string firstName = r["FirstName"] == null ? string.Empty : r["FirstName"].ToString();
                    string lastName = r["LastName"] == null ? string.Empty : r["LastName"].ToString();
                    string workEmail = r["WorkEmail"] == null ? string.Empty : r["WorkEmail"].ToString();
                    string workPhone = r["WorkPhone"] == null ? string.Empty : r["WorkPhone"].ToString();

                    resultsList.Items.Add(lastName +
                                          ", " + firstName +
                                          "\t" + workEmail +
                                          "\t" + workPhone);
                }
            }
            catch (Exception x)
            {
               MessageBox.Show(x.Message + " Did you make the LastName property Sortable?");
            }
        }
    }
}
